wreport::str::Split::const_iterator Class Reference

## Public Types

using | iterator_category = std::input_iterator_tag
using | value_type = std::string
using | difference_type = int
using | pointer = std::string*
using | reference = std::string&

## Public Member Functions

| const_iterator (const Split &split)
| Begin iterator.
| const_iterator ()
| End iterator.
const_iterator & | operator++ ()
const std::string & | operator* () const
const std::string * | operator-> () const
std::string | remainder () const
bool | operator== (const const_iterator &ti) const
bool | operator!= (const const_iterator &ti) const

## Protected Member Functions

void | skip_separators ()
| Move end past all the consecutive separators that start at its position.

## Protected Attributes

const Split * | split = nullptr
std::string | cur
| Current token.
size_t | end = 0
| Position of the first character of the next token.

The documentation for this class was generated from the following file:

- string.h